Favicon

You are here: Home > API Reference > UEM > Mdm Devices > List available OS updates across fleet

GET /organizations/:organizationId/mdm/devices/available-updates

Required Permission: mdm.global.device.list

Retrieves aggregated list of pending operating system updates available for managed devices with distribution counts, enabling coordinated update campaigns and security patch management.

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/devices/available-updates
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/devices/available-updates" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/devices/available-updates", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/devices/available-updates",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

os string
optional
Operating system platform filter or identifier for platform-specific queries and version statistics.
androidiosmacoswindowsaosp

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
{
    "status": true,
    "data": {
        "items": [
            {}
        ]
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}